import { $get, $post } from "@/plugins/axios";

// user-manage
export const userListPage = datas => {
  return $get("/api/print/basic/user/listPage", datas);
};
export const updateUser = datas => {
  if (datas.id) {
    return $post("/api/print/basic/user/add", datas);
  } else {
    return $post("/api/print/basic/user/update", datas);
  }
};
export const ableUser = datas => {
  return $post("/api/print/basic/user/enable", datas);
};
export const updatePwd = datas => {
  return $post("/api/print/basic/user/updatePwd", datas);
};

// rule-manage
export const saveCardRule = datas => {
  return $post("/api/print/basic/cardRule/add", datas);
};
export const saveWarningRule = datas => {
  return $post("/api/print/basic/warnRule/add", datas);
};
export const importExtendColums = datas => {
  return $post("/api/print/basic/cardRule/impExtendColums", datas);
};

// common
export const uploadFile = datas => {
  return $post("/api/print/basic/sys/saveAttachment", datas);
};
